National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2008-4360 Detail

Description

mod_userdir in lighttpd before 1.4.20, when a case-insensitive operating system or filesystem is used, performs case-sensitive comparisons on filename components in configuration options, which might allow remote attackers to bypass intended access restrictions, as demonstrated by a request for a .PHP file when there is a configuration rule for .php files.

Source:  MITRE
Description Last Modified:  10/03/2008

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 7.8 HIGH
Vector: (AV:N/AC:L/Au:N/C:C/I:N/A:N) (V2 legend)
Impact Subscore: 6.9
Exploitability Subscore: 10.0


Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (AU): None
Confidentiality (C): Complete
Integrity (I): None
Availability (A): None
Additional Information:
Allows unauthorized disclosure of information

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://lists.opensuse.org/opensuse-security-announce/2008-11/msg00002.html
http://openwall.com/lists/oss-security/2008/09/30/1
http://openwall.com/lists/oss-security/2008/09/30/2
http://openwall.com/lists/oss-security/2008/09/30/3
http://security.gentoo.org/glsa/glsa-200812-04.xml
http://trac.lighttpd.net/trac/changeset/2283 Exploit
http://trac.lighttpd.net/trac/changeset/2308 Exploit
http://trac.lighttpd.net/trac/ticket/1589 Patch
http://wiki.rpath.com/Advisories:rPSA-2008-0309
http://wiki.rpath.com/wiki/Advisories:rPSA-2008-0309
http://www.debian.org/security/2008/dsa-1645
http://www.lighttpd.net/security/lighttpd_sa_2008_06.txt Patch
http://www.lighttpd.net/security/lighttpd-1.4.x_userdir_lowercase.patch Patch
http://www.securityfocus.com/archive/1/497932/100/0/threaded
http://www.securityfocus.com/bid/31600
http://www.vupen.com/english/advisories/2008/2741
https://exchange.xforce.ibmcloud.com/vulnerabilities/45689

Technical Details

Vulnerability Type (View All)

  • Information Leak / Disclosure (CWE-200)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:a:lighttpd:lighttpd:*:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.0.2:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.0.3:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.1.0:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.1.1:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.1.2:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.1.3:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.1.4:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.1.5:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.1.6:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.1.7:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.1.8:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.1.9:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.2.0:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.2.1:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.2.2:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.2.3:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.2.4:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.2.5:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.2.6:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.2.7:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.2.8:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.3.0:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.3.1:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.3.2:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.3.3:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.3.4:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.3.5:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.3.6:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.3.7:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.3.8:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.3.9:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.3.10:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.3.11:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.3.12:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.3.13:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.3.14:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.3.15:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.3.16:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.4.0:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.4.1:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.4.10:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.4.11:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.4.12:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.4.13:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.4.14:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.4.15:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.4.16:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.4.17:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:1.4.18:*:*:*:*:*:*:*
cpe:2.3:a:lighttpd:lighttpd:*:*:*:*:*:*:*:*    versions up to (including) 1.4.19

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

3 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2008-4360
NVD Published Date:
10/03/2008
NVD Last Modified:
10/11/2018